%global pkgname pymacaroons-pynacl

%global desc This is a Python re-implementation of the libmacaroons C library.\
Macaroons, like cookies, are a form of bearer credential. Unlike\
opaque tokens, macaroons embed caveats that define specific authorization\
requirements for the target service, the service that issued the root macaroon\
and which is capable of verifying the integrity of macaroons it receives.\
\
Macaroons allow for delegation and attenuation of authorization. They are\
simple and fast to verify, and decouple authorization policy from the\
enforcement of that policy.\


Name:           python-%{pkgname}
Version:        0.9.3
Release:        5%{?dist}
Summary:        Library providing non-opaque cookies for authorization

License:        MIT
URL:            https://github.com/matrix-org/pymacaroons
Source0:        %{url}/archive/v%{version}/pymacaroons-v%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}


%package -n python2-%{pkgname}
Summary:        %{summary}
Requires:       python2-six
Requires:       python2-libnacl
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname}
%{desc}


%package -n python3-%{pkgname}
Summary:        %{summary}
Requires:       python3-six
Requires:       python3-libnacl
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
%{desc}


%package doc
Summary: Documentation for python-pymacaroons-pynacl
BuildRequires:  python3-sphinx

%description doc
Documentation for the python-pymacaroons-pynacl package.

%{desc}


%prep
%autosetup -n pymacaroons-%{version}


%build
%py2_build
%py3_build

make %{?_smp_mflags} -C docs SPHINXBUILD=sphinx-build-3 html PYTHONPATH=$(pwd)
rm docs/_build/html/.buildinfo


%install
%py2_install
%py3_install


# check
# Unfortunately, the test suite relies on an incredibly old version of python-hypothesis
# (1.0.0) which is not API compatible with the version we ship in Fedora.
# nosetests
# nosetests-3


%files -n python2-%{pkgname}
%license LICENSE
%doc README.md
%{python2_sitelib}/*


%files -n python3-%{pkgname}
%license LICENSE
%doc README.md
%{python3_sitelib}/*


%files doc
%license LICENSE
%doc README.md docs/_build/html


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.9.3-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Mar 07 2017 Jeremy Cline <jeremy@jcline.org> - 0.9.3-1
- Initial package
